Page MenuHomePhabricator

RegAllocFast: Do not allocate registers for undef uses
ClosedPublic

Authored by arsenm on Nov 9 2018, 4:27 PM.

Details

Summary

Do not actually allocate a register for an undef use. Previously we we
would create unnecessary reload instruction for undef uses where the
register wasn't live.

This is part of my regallocfast rewrite series (see also D52010)

Diff Detail

Repository
rL LLVM

Event Timeline

MatzeB created this revision.Nov 9 2018, 4:27 PM
arsenm accepted this revision.Nov 14 2018, 11:52 AM

LGTM

This revision is now accepted and ready to land.Nov 14 2018, 11:52 AM

Are you going to commit this?

Herald added a project: Restricted Project. · View Herald TranscriptFeb 22 2019, 10:35 AM
arsenm commandeered this revision.Mar 19 2019, 12:03 PM
arsenm edited reviewers, added: MatzeB; removed: arsenm.
This revision now requires review to proceed.Mar 19 2019, 12:03 PM
arsenm accepted this revision.Mar 19 2019, 12:14 PM

r356501

This revision is now accepted and ready to land.Mar 19 2019, 12:14 PM
arsenm closed this revision.Mar 19 2019, 12:15 PM